<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/MainFragment">

    <!-- 主页面 -->
    <fragment
        android:id="@+id/MainFragment"
        android:name="com.emato.ich.fragment.MainFragment"
        android:label="@string/main_fragment_label"
        tools:layout="@layout/fragment_main">

        <action
            android:id="@+id/action_mainFragment_to_sendFragment"
            app:destination="@id/SendFragment" />
        <action
            android:id="@+id/action_mainFragment_to_takeFragment"
            app:destination="@id/TakeFragment" />
    </fragment>

    <!--  投递页面:投递员登录页面  -->
    <fragment
        android:id="@+id/SendFragment"
        android:name="com.emato.ich.fragment.SendKeyBoardFragment"
        android:label="@string/send_fragment_label"
        tools:layout="@layout/fragment_send_key_board">

        <action
            android:id="@+id/action_sendFragment_to_sendMainFragment"
            app:destination="@id/SendMainFragment" />
        <action
            android:id="@+id/action_sendFragment_to_mainFragment"
            app:destination="@id/MainFragment" />
    </fragment>

    <!--  输入投递信息  -->
    <fragment
        android:id="@+id/InputInfoKeyBoardFragment"
        android:name="com.emato.ich.fragment.InputInfoKeyBoardFragment"
        android:label=""
        tools:layout="@layout/fragment_input_key_board">

        <action
            android:id="@+id/action_InputInfoKeyBoardFragment_to_sendInfoConfirmFragment"
            app:destination="@id/SendInfoConfirmFragment" />
        <action
            android:id="@+id/action_InputInfoKeyBoardFragment_to_chooseCabinetFragment"
            app:destination="@id/ChooseCabinetFragment"/>
        <action
            android:id="@+id/action_InputInfoKeyBoardFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  取件页面  -->
    <fragment
        android:id="@+id/TakeFragment"
        android:name="com.emato.ich.fragment.TakeFragment"
        android:label="@string/take_fragment_label"
        tools:layout="@layout/fragment_take">

        <action
            android:id="@+id/action_takeFragment_to_takeCodeFragment"
            app:destination="@id/TakeCodeFragment" />

        <action
            android:id="@+id/action_takeFragment_to_mainFragment"
            app:destination="@id/MainFragment" />
    </fragment>

    <!--  输入取件码页面  -->
    <fragment
        android:id="@+id/TakeCodeFragment"
        android:name="com.emato.ich.fragment.TakeCodeFragment"
        android:label=""
        tools:layout="@layout/fragment_take_code">

        <action
            android:id="@+id/action_takeCodeFragment_to_takeFragment"
            app:destination="@id/TakeFragment"/>
        <action
            android:id="@+id/action_takeCodeFragment_to_takeSuccessFragment"
            app:destination="@id/TakeSuccessFragment"/>
        <action
            android:id="@+id/action_takeCodeFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  选择投递还是异常处理  -->
    <fragment
        android:id="@+id/SendMainFragment"
        android:name="com.emato.ich.fragment.SendMainFragment"
        android:label="@string/send_main"
        tools:layout="@layout/fragment_send_main">

        <action
            android:id="@+id/action_sendMainFragment_to_chooseCabinetFragment"
            app:destination="@id/ChooseCabinetFragment"/>
        <action
            android:id="@+id/action_sendMainFragment_to_exceptionFragment"
            app:destination="@id/ExceptionFragment"/>
        <action
            android:id="@+id/action_sendMainFragment_to_sendFragment"
            app:destination="@id/SendFragment"/>
        <action
            android:id="@+id/action_sendMainFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  选择柜子类型  -->
    <fragment
        android:id="@+id/ChooseCabinetFragment"
        android:name="com.emato.ich.fragment.ChooseCabinetFragment"
        android:label="@string/choose_cabinet"
        tools:layout="@layout/fragment_choose_cabinet">

        <action
            android:id="@+id/action_chooseCabinetFragment_to_InputInfoKeyBoardFragment"
            app:destination="@id/InputInfoKeyBoardFragment"/>
        <action
            android:id="@+id/action_chooseCabinetFragment_to_sendInfoConfirmFragment"
            app:destination="@id/SendInfoConfirmFragment"/>

        <action
            android:id="@+id/action_chooseCabinetFragment_to_exceptionFragment"
            app:destination="@id/ExceptionFragment"/>
        <action
            android:id="@+id/action_chooseCabinetFragment_to_sendMainFragment"
            app:destination="@id/SendMainFragment"/>
        <action
            android:id="@+id/action_chooseCabinetFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  常见问题解决页面  -->
    <fragment
        android:id="@+id/ExceptionFragment"
        android:name="com.emato.ich.fragment.ExceptionFragment"
        android:label="@string/issue_page"
        tools:layout="@layout/fragment_exception">

        <action
            app:destination="@id/ChooseCabinetFragment"
            android:id="@+id/action_exceptionFragment_to_ChooseCabinetFragment"/>
        <action
            android:id="@+id/actionExceptionFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
        <action
            android:id="@+id/action_exceptionFragment_to_sendMainFragment"
            app:destination="@id/SendMainFragment"/>
        <action
            android:id="@+id/action_exceptionFragment_to_sendInfoConfirmMainFragment"
            app:destination="@id/SendInfoConfirmFragment"/>
        <action
            android:id="@+id/action_exceptionFragment_to_sendSuccessFragment"
            app:destination="@id/SendSuccessFragment"/>
    </fragment>

    <!--  投递确认页面  -->
    <fragment
        android:id="@+id/SendInfoConfirmFragment"
        android:name="com.emato.ich.fragment.SendInfoConfirmFragment"
        android:label="@string/send_confirm_page"
        tools:layout="@layout/fragment_send_info_confirm">

        <action
            android:id="@+id/action_sendInfoConfirmFragment_to_exceptionFragment"
            app:destination="@id/ExceptionFragment"/>
        <action
            android:id="@+id/action_sendInfoConfirmFragment_to_sendSuccessFragment"
            app:destination="@id/SendSuccessFragment"/>
        <action
            android:id="@+id/action_sendInfoConfirmFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  投递成功页  -->
    <fragment
        android:id="@+id/SendSuccessFragment"
        android:name="com.emato.ich.fragment.SendSuccessFragment"
        android:label=""
        tools:layout="@layout/fragment_send_success">

        <action
            android:id="@+id/action_sendSuccessFragment_to_chooseCabinetFragment"
            app:destination="@id/ChooseCabinetFragment"/>

        <action
            android:id="@+id/action_sendSuccessFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
    </fragment>

    <!--  取件成功提示页  -->
    <fragment
        android:id="@+id/TakeSuccessFragment"
        android:name="com.emato.ich.fragment.TakeSuccessFragment"
        android:label=""
        tools:layout="@layout/fragment_take_success">

        <action
            android:id="@+id/action_takeSuccessFragment_to_mainFragment"
            app:destination="@id/MainFragment"/>
        <action
            android:id="@+id/action_takeSuccessFragment_to_takeCodeFragment"
            app:destination="@id/TakeCodeFragment"/>
    </fragment>
</navigation>